// menentukan jenis data yang digunakan
use crate::config::Float;

// mendefinisikan rumus energi kinetik
pub fn kinetic_energy_formula(mass: Float, velocity: Float) -> Float {
    if mass == 0.0 {
        // tambah batasan dengan massa = 0
        return 0.0;
    }
    0.5 * mass * velocity.powi(2)
}
